# wxRichTextAttr Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextAttr:
[legend]

## Detailed Description

A class representing enhanced attributes for rich text objects.

This adds a wxTextBoxAttr member to the basic wxTextAttr class.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextAttr, wxTextBoxAttr, wxRichTextCtrl

## Public Member Functions
| wxRichTextAttr (const wxTextAttr &attr)
| Constructor taking a wxTextAttr.
| wxRichTextAttr (const wxRichTextAttr &attr)
| Copy constructor.
| wxRichTextAttr ()
| Default constructor.
void | Copy (const wxRichTextAttr &attr)
| Copy function.
void | operator= (const wxRichTextAttr &attr)
| Assignment operator.
void | operator= (const wxTextAttr &attr)
| Assignment operator.
bool | operator== (const wxRichTextAttr &attr) const
| Equality test.
bool | EqPartial (const wxRichTextAttr &attr) const
| Partial equality test taking comparison object into account.
bool | Apply (const wxRichTextAttr &style, const wxRichTextAttr *compareWith=NULL)
| Merges the given attributes.
void | CollectCommonAttributes (const wxRichTextAttr &attr, wxRichTextAttr &clashingAttr, wxRichTextAttr &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
bool | RemoveStyle (const wxRichTextAttr &attr)
| Removes the specified attributes from this object.
wxTextBoxAttr & | GetTextBoxAttr ()
| Returns the text box attributes.
const wxTextBoxAttr & | GetTextBoxAttr () const
void | SetTextBoxAttr (const wxTextBoxAttr &attr)
| Set the text box attributes.
## Public Attributes
wxTextBoxAttr | m_textBoxAttr

List of all members.

## Constructor & Destructor Documentation

wxRichTextAttr::wxRichTextAttr | ( | const wxTextAttr & | attr | ) | `[inline]`

Constructor taking a wxTextAttr.

wxRichTextAttr::wxRichTextAttr | ( | const wxRichTextAttr & | attr | ) | `[inline]`

Copy constructor.

wxRichTextAttr::wxRichTextAttr | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

bool wxRichTextAttr::Apply | ( | const wxRichTextAttr & | style,
|  | const wxRichTextAttr * | compareWith = `NULL` |
| ) |  |  |

Merges the given attributes.

If compareWith is non-NULL, then it will be used to mask out those attributes that are the same in style and compareWith, for situations where we don't want to explicitly set inherited attributes.

void wxRichTextAttr::CollectCommonAttributes | ( | const wxRichTextAttr & | attr,
|  | wxRichTextAttr & | clashingAttr,
|  | wxRichTextAttr & | absentAttr |
| ) |  |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

void wxRichTextAttr::Copy | ( | const wxRichTextAttr & | attr | ) |

Copy function.

bool wxRichTextAttr::EqPartial | ( | const wxRichTextAttr & | attr | ) | const

Partial equality test taking comparison object into account.

const wxTextBoxAttr& wxRichTextAttr::GetTextBoxAttr | ( |  | ) | const`[inline]`

wxTextBoxAttr& wxRichTextAttr::GetTextBoxAttr | ( |  | ) | `[inline]`

Returns the text box attributes.

void wxRichTextAttr::operator= | ( | const wxTextAttr & | attr | ) | `[inline]`

Assignment operator.

void wxRichTextAttr::operator= | ( | const wxRichTextAttr & | attr | ) | `[inline]`

Assignment operator.

bool wxRichTextAttr::operator== | ( | const wxRichTextAttr & | attr | ) | const

Equality test.

bool wxRichTextAttr::RemoveStyle | ( | const wxRichTextAttr & | attr | ) |

Removes the specified attributes from this object.

void wxRichTextAttr::SetTextBoxAttr | ( | const wxTextBoxAttr & | attr | ) | `[inline]`

Set the text box attributes.

## Member Data Documentation

wxTextBoxAttr wxRichTextAttr::m_textBoxAttr

|  | [ top ]